﻿using System;
using Zennolab.CommandCenter;

namespace Example
{
	internal class Step1
	{
		public static int Execute(Instance instance)
		{
			instance.UseJavaScripts = false;
			
			instance.ClearCache();
			instance.ClearCookie();
			
			Tab tb = instance.MainTab;
			if ((tb.IsVoid) || (tb.IsNull)) return -1;
			if (tb.IsBusy) tb.WaitDownloading();
			tb.Navigate("https://posterous.com/");
			if (tb.IsBusy) tb.WaitDownloading();

			HtmlElement he;
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("user[mail]");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.SetValue("qqweqw12e1@mail.ru", true);

			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("user[sitename]");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 1);
			}
			if (he.IsVoid) return -1;

			he.SetValue("qweqweqweq12w", true);

			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("user[password]");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("input:password", "fulltag", "input:password", "text", 0);
			}
			if (he.IsVoid) return -1;

			he.SetValue("12qwaszx", true);

			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildById("signup_button");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("button", "fulltag", "button", "text", 0);
			}
			if (he.IsVoid) return -1;
			
			instance.UseJavaScripts = true;
			
			he.RiseEvent("click", false);
			if (tb.IsBusy) tb.WaitDownloading();
			if (instance.GetTabByAddress("popup").IsBusy) instance.GetTabByAddress("popup").WaitDownloading();
			
			return 0;
		}
	}
}
